package xyz.etztech.minecraftmanager.objects;

import com.google.gson.JsonArray;
import com.google.gson.JsonElement;
import com.google.gson.JsonObject;
import com.google.gson.JsonParser;
import org.bukkit.ChatColor;
import xyz.etztech.core.web.CoreResponse;

import java.util.logging.Logger;

public class MCMResponse extends CoreResponse {
    private JsonElement extra;

    public MCMResponse(JsonArray httpResponse) {
        super(httpResponse);
        setExtra(getJson().get("extra"));
    }

    public MCMResponse(JsonObject httpResponse) {
        super(httpResponse);
        setExtra(httpResponse.get("extra"));
    }

    public MCMResponse(String rawReponse) {
        super(rawReponse);
        setExtra(getJson().get("extra"));
    }


    public JsonElement getExtra() {
        return extra;
    }

    public void setExtra(JsonElement extra) {
        this.extra = extra;
    }



}
