package xyz.etztech.minecraftmanager.objects;

import java.util.HashMap;
import java.util.Map;

public class Application {
//  username = models.CharField("Minecraft Username", max_length=20, unique=True)
//  age = models.PositiveSmallIntegerField()
//  player_type = models.TextField("What type of player are you?", max_length=300)
//  ever_banned = models.BooleanField("Have you ever been banned?", default=False)
//  ever_banned_explanation = models.TextField("If you were previously banned, will you share why?", max_length=300, blank=True, null=True)
//  reference = models.CharField("Were you referred to our server?", max_length=50, blank=True, null=True)
//  read_rules = models.CharField("Have you read the rules?", max_length=10)

    private String username;
    private String age;
    private String playerType;
    private String everBanned;
    private String everBannedExplanation;
    private String reference;
    private String readRules;

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getAge() {
        return age;
    }

    public void setAge(String age) {
        this.age = age;
    }

    public String getPlayerType() {
        return playerType;
    }

    public void setPlayerType(String playerType) {
        this.playerType = playerType;
    }

    public String getEverBanned() {
        return everBanned;
    }

    public void setEverBanned(String everBanned) {
        this.everBanned = everBanned;
    }

    public String getEverBannedExplanation() {
        return everBannedExplanation;
    }

    public void setEverBannedExplanation(String everBannedExplanation) {
        this.everBannedExplanation = everBannedExplanation;
    }

    public String getReference() {
        return reference;
    }

    public void setReference(String reference) {
        this.reference = reference;
    }

    public String getReadRules() {
        return readRules;
    }

    public void setReadRules(String readRules) {
        this.readRules = readRules;
    }

    public void setAnswer(Question question, String answer) {
        if (question == Question.ONE) {
            setAge(answer);
        } else if (question == Question.TWO) {
            setPlayerType(answer);
        } else if (question == Question.THREE1) {
            setEverBanned(answer);
            if ("no".equalsIgnoreCase(answer)) {
                setEverBannedExplanation("");
            }
        } else if (question == Question.THREE2) {
            setEverBannedExplanation(answer);
        } else if (question == Question.FOUR) {
            setReference(answer);
        } else if (question == Question.FIVE) {
            setReadRules(answer);
        }
    }

    public String getFormatted() {
        StringBuffer msg = new StringBuffer();
        msg.append("Username: " + getUsername() + "\n");
        msg.append("Age: " + getAge() + "\n");
        msg.append("Player Type: " + getPlayerType() + "\n");
        msg.append("Ever Banned: " + getEverBanned() + "\n");
        msg.append("Explanation: " + getEverBannedExplanation() + "\n");
        msg.append("Reference: " + getReference() + "\n");
        msg.append("Read Rules: " + getReadRules());
        return msg.toString();
    }

    public Map<String, String> getForm() {
        Map<String, String> form = new HashMap<>();
        form.put("username", getUsername());
        form.put("age", getAge());
        form.put("player_type", getPlayerType());
        form.put("ever_banned", getEverBanned());
        form.put("ever_banned_explanation", getEverBannedExplanation());
        form.put("reference", getReference());
        form.put("read_rules", getReadRules());
        return form;
    }
}
